GETCONF(1)

NAME
getconf - get system configuration values

SYNOPSIS
getconf [-v specification] system_var
getconf [-v specification] path_var pathname

DESCRIPTION
In the first form, the getconf utility prints the value of the system variable specified by system_var on the currently running system, under the specification given for the -v argument if specified.

Valid system variables are one of the following:

•   The variable name of a valid parameter to the sysconf(3) function as specified in p1003.1-2008, excluding braces. The variables “_SC_CLK_TCK”, “_SC_GETGR_R_SIZE_MAX”, and “_SC_GETPW_R_SIZE_MAX” are not supported.
•   A valid parameter to the confstr(3) function as specified in p1003.1-2008, excluding the “_CS_” prefix.
•   A constant listed under the “Maximum Values” or “Minimum Values” section of the <limits.h> header as specified in p1003.1-2008, excluding braces.

In the second form, the getconf utility prints the value of the path variable specified by path_var for the path specified by pathname on the currently running system, under the specification given for the -v argument if specified.

Valid path variables are those accepted by the fpathconf(3) function as specified in p1003.1-2008, exluding braces.

OPTIONS

-v  Indicates the specification to use. Currently, this option is unsupported and will be ignored.

DIAGNOSTICS

SEE ALSO
confstr(3), fpathconf(3), sysconf(3).

STANDARDS
The eventual goal for the getconf utility is full conformance to p1003.1 2013 Edition.

AUTHORS
A. Wilcox <awilfox@adelielinux.org>

BUGS
The -v argument is not currently handled correctly.